<?php
/**
 * VW Writer Blog: Block Patterns
 *
 * @package VW Writer Blog
 * @since   1.0.0
 */

/**
 * Register Block Pattern Category.
 */
if ( function_exists( 'register_block_pattern_category' ) ) {

	register_block_pattern_category(
		'vw-writer-blog',
		array( 'label' => __( 'VW Writer Blog', 'vw-writer-blog' ) )
	);
}

/**
 * Register Block Patterns.
 */
if ( function_exists( 'register_block_pattern' ) ) {
	register_block_pattern(
		'vw-writer-blog/slider-section',
		array(
			'title'      => __( 'Banner Section', 'vw-writer-blog' ),
			'categories' => array( 'vw-writer-blog' ),
			'content'    => "<!-- wp:cover {\"url\":\"" . esc_url(get_template_directory_uri()) . "/inc/block-patterns/images/slider.png\",\"id\":2261,\"dimRatio\":10,\"align\":\"full\",\"className\":\"sliderbox\"} -->\n<div class=\"wp-block-cover alignfull has-background-dim-10 has-background-dim sliderbox\" style=\"background-image:url(" . esc_url(get_template_directory_uri()) . "/inc/block-patterns/images/slider.png)\"><div class=\"wp-block-cover__inner-container\"><!-- wp:columns {\"align\":\"full\",\"className\":\"mx-md-5 mx-0\"} -->\n<div class=\"wp-block-columns alignfull mx-md-5 mx-0\"><!-- wp:column {\"verticalAlignment\":\"center\"} -->\n<div class=\"wp-block-column is-vertically-aligned-center\"><!-- wp:group {\"className\":\"sliderbox-content ms-5\"} -->\n<div class=\"wp-block-group sliderbox-content ms-5\"><div class=\"wp-block-group__inner-container\"><!-- wp:heading {\"level\":1,\"className\":\"mb-2\",\"style\":{\"typography\":{\"fontSize\":45},\"color\":{\"text\":\"#323232\"}}} -->\n<h1 class=\"mb-2 has-text-color\" style=\"color:#323232;font-size:45px\"><strong>LOREM IPSUM IS SIMPLY DUMMY TEXT</strong></h1>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"className\":\"slider-content\",\"fontSize\":\"normal\",\"style\":{\"color\":{\"text\":\"#323232\"}}} -->\n<p class=\"slider-content has-text-color has-normal-font-size\" style=\"color:#323232\">Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industrys standard dummy text ever </p>\n<!-- /wp:paragraph -->\n\n<!-- wp:buttons -->\n<div class=\"wp-block-buttons\"><!-- wp:button {\"borderRadius\":0,\"style\":{\"color\":{\"text\":\"#323232\"}}} -->\n<div class=\"wp-block-button\"><a class=\"wp-block-button__link has-text-color no-border-radius\" style=\"color:#323232\">Read More</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div></div>\n<!-- /wp:group --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div></div>\n<!-- /wp:cover -->",
		)
	);

	register_block_pattern(
		'vw-writer-blog/services-section',
		array(
			'title'      => __( 'Services Section', 'vw-writer-blog' ),
			'categories' => array( 'vw-writer-blog' ),
			'content'    => "<!-- wp:group {\"align\":\"wide\",\"className\":\"services-sec mx-4\"} -->\n<div class=\"wp-block-group alignwide services-sec mx-4\"><div class=\"wp-block-group__inner-container\"><!-- wp:heading {\"textAlign\":\"center\",\"className\":\"mt-5\",\"style\":{\"color\":{\"text\":\"#323232\"},\"typography\":{\"fontSize\":28}}} -->\n<h2 class=\"has-text-align-center mt-5 has-text-color\" style=\"color:#323232;font-size:28px\"><strong>LOREM IPSUM IS SIMPLY</strong></h2>\n<!-- /wp:heading -->\n\n<!-- wp:columns {\"verticalAlignment\":\"top\",\"align\":\"wide\",\"className\":\"mx-2 mx-lg-0\"} -->\n<div class=\"wp-block-columns alignwide are-vertically-aligned-top mx-2 mx-lg-0\"><!-- wp:column {\"verticalAlignment\":\"top\",\"className\":\"post-col\"} -->\n<div class=\"wp-block-column is-vertically-aligned-top post-col\"><!-- wp:image {\"align\":\"center\",\"id\":2294,\"sizeSlug\":\"large\",\"linkDestination\":\"none\",\"className\":\"post-img\"} -->\n<div class=\"wp-block-image post-img\"><figure class=\"aligncenter size-large\"><img src=\"" . esc_url(get_template_directory_uri()) . "/inc/block-patterns/images/service1.png\" alt=\"\" class=\"wp-image-2294\"/></figure></div>\n<!-- /wp:image -->\n\n<!-- wp:group {\"className\":\"post-content p-md-2 p-5\"} -->\n<div class=\"wp-block-group post-content p-md-2 p-5\"><div class=\"wp-block-group__inner-container\"><!-- wp:heading {\"textAlign\":\"center\",\"level\":3,\"className\":\"mb-2\",\"style\":{\"typography\":{\"fontSize\":22}}} -->\n<h3 class=\"has-text-align-center mb-2\" style=\"font-size:22px\">LOREM IPSUM IS SIMPLY DUMMY TEXT</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"className\":\"post-text text-center\"} -->\n<p class=\"has-text-align-center post-text text-center\">Lorem Ipsum&nbsp;is simply dummy text of the printing and typesetting industry.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:buttons {\"align\":\"center\"} -->\n<div class=\"wp-block-buttons aligncenter\"><!-- wp:button {\"style\":{\"color\":{\"text\":\"#323232\"}}} -->\n<div class=\"wp-block-button\"><a class=\"wp-block-button__link has-text-color\" style=\"color:#323232\">Read More</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div></div>\n<!-- /wp:group --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"verticalAlignment\":\"top\",\"className\":\"post-col\"} -->\n<div class=\"wp-block-column is-vertically-aligned-top post-col\"><!-- wp:image {\"align\":\"center\",\"id\":2333,\"sizeSlug\":\"large\",\"linkDestination\":\"none\",\"className\":\"post-img\"} -->\n<div class=\"wp-block-image post-img\"><figure class=\"aligncenter size-large\"><img src=\"" . esc_url(get_template_directory_uri()) . "/inc/block-patterns/images/service2.png\" alt=\"\" class=\"wp-image-2333\"/></figure></div>\n<!-- /wp:image -->\n\n<!-- wp:group {\"className\":\"post-content p-md-2 p-5\"} -->\n<div class=\"wp-block-group post-content p-md-2 p-5\"><div class=\"wp-block-group__inner-container\"><!-- wp:heading {\"textAlign\":\"center\",\"level\":3,\"className\":\"mb-2\",\"style\":{\"typography\":{\"fontSize\":22}}} -->\n<h3 class=\"has-text-align-center mb-2\" style=\"font-size:22px\">LOREM IPSUM IS SIMPLY DUMMY TEXT</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"className\":\"post-text text-center\"} -->\n<p class=\"has-text-align-center post-text text-center\">Lorem Ipsum&nbsp;is simply dummy text of the printing and typesetting industry.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:buttons {\"align\":\"center\"} -->\n<div class=\"wp-block-buttons aligncenter\"><!-- wp:button {\"style\":{\"color\":{\"text\":\"#323232\"}}} -->\n<div class=\"wp-block-button\"><a class=\"wp-block-button__link has-text-color\" style=\"color:#323232\">Read More</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div></div>\n<!-- /wp:group --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"verticalAlignment\":\"top\",\"className\":\"post-col\"} -->\n<div class=\"wp-block-column is-vertically-aligned-top post-col\"><!-- wp:image {\"align\":\"center\",\"id\":2334,\"sizeSlug\":\"large\",\"linkDestination\":\"none\",\"className\":\"post-img\"} -->\n<div class=\"wp-block-image post-img\"><figure class=\"aligncenter size-large\"><img src=\"" . esc_url(get_template_directory_uri()) . "/inc/block-patterns/images/service3.png\" alt=\"\" class=\"wp-image-2334\"/></figure></div>\n<!-- /wp:image -->\n\n<!-- wp:group {\"className\":\"post-content p-md-2 p-5\"} -->\n<div class=\"wp-block-group post-content p-md-2 p-5\"><div class=\"wp-block-group__inner-container\"><!-- wp:heading {\"textAlign\":\"center\",\"level\":3,\"className\":\"mb-2\",\"style\":{\"typography\":{\"fontSize\":22}}} -->\n<h3 class=\"has-text-align-center mb-2\" style=\"font-size:22px\">LOREM IPSUM IS SIMPLY DUMMY TEXT</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"className\":\"post-text text-center\"} -->\n<p class=\"has-text-align-center post-text text-center\">Lorem Ipsum&nbsp;is simply dummy text of the printing and typesetting industry.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:buttons {\"align\":\"center\"} -->\n<div class=\"wp-block-buttons aligncenter\"><!-- wp:button {\"style\":{\"color\":{\"text\":\"#323232\"}}} -->\n<div class=\"wp-block-button\"><a class=\"wp-block-button__link has-text-color\" style=\"color:#323232\">Read More</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div></div>\n<!-- /wp:group --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"verticalAlignment\":\"top\",\"className\":\"post-col\"} -->\n<div class=\"wp-block-column is-vertically-aligned-top post-col\"><!-- wp:image {\"align\":\"center\",\"id\":2335,\"sizeSlug\":\"large\",\"linkDestination\":\"none\",\"className\":\"post-img\"} -->\n<div class=\"wp-block-image post-img\"><figure class=\"aligncenter size-large\"><img src=\"" . esc_url(get_template_directory_uri()) . "/inc/block-patterns/images/service4.png\" alt=\"\" class=\"wp-image-2335\"/></figure></div>\n<!-- /wp:image -->\n\n<!-- wp:group {\"className\":\"post-content p-md-2 p-5\"} -->\n<div class=\"wp-block-group post-content p-md-2 p-5\"><div class=\"wp-block-group__inner-container\"><!-- wp:heading {\"textAlign\":\"center\",\"level\":3,\"className\":\"mb-2\",\"style\":{\"typography\":{\"fontSize\":22}}} -->\n<h3 class=\"has-text-align-center mb-2\" style=\"font-size:22px\">LOREM IPSUM IS SIMPLY DUMMY TEXT</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"className\":\"post-text text-center\"} -->\n<p class=\"has-text-align-center post-text text-center\">Lorem Ipsum&nbsp;is simply dummy text of the printing and typesetting industry.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:buttons {\"align\":\"center\"} -->\n<div class=\"wp-block-buttons aligncenter\"><!-- wp:button {\"style\":{\"color\":{\"text\":\"#323232\"}}} -->\n<div class=\"wp-block-button\"><a class=\"wp-block-button__link has-text-color\" style=\"color:#323232\">Read More</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div></div>\n<!-- /wp:group --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div></div>\n<!-- /wp:group -->",
		)
	);
}